Skip to main content
PATCH
Update a workflow template

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

id
string<uuid>
required

Body

application/json
name
string

Name

Required string length: 1 - 255
description
string

Description

Maximum string length: 1000
category
string

Category

Maximum string length: 255
tags
string[]

Tags

Maximum string length: 100
scopes
string[]

Scopes

Maximum string length: 50
workflow
object

Workflow

variableDefinitions
object[]

Variable Definitions

metadata
object

Metadata

Response

200 - application/json

OK

id
string<uuid>
required
organizationId
string
required
name
string
required
tags
string[]
required
scopes
string[]
required
visibility
enum<string>
required
Available options:
private,
pending_review,
published
version
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
workflow
object
required
variableDefinitions
object[]
required
createdAt
string
required
updatedAt
string
required
description
string
category
string
metadata
object
sourceWorkflowId
string<uuid> | null
sourceWorkflowEnvironment
string | null
publishedAt
string | null